/*
	syslogdctl - syslog deamon controler
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __SYSLOG_DEAMON_CONTROLER_BASE_H__
#define __SYSLOG_DEAMON_CONTROLER_BASE_H__

#include <qvariant.h>
#include <qdialog.h>
#include <qpe/qpeapplication.h>

class QTabWidget;
class QVBoxLayout; 
class QHBoxLayout; 
class QBoxLayout; 
class QGridLayout; 
class QLabel;
class QMultiLineEdit;
class QLineEdit;
class QPushButton;
class QCheckBox;

class syslogdctlbase : public QDialog
{ 
Q_OBJECT

public:
	syslogdctlbase( QWidget* parent = 0, const char* name = 0,
									bool modal = FALSE, WFlags fl = 0 );
	~syslogdctlbase();

	QTabWidget*		Tabs;

	QWidget*		Tab1;
	QLabel*			StatusLabel;
	QLineEdit*		StatusEdit;
	QCheckBox*		AutoExecCheck;
	QPushButton*	StartButton;
	QPushButton*	StopButton;

	QWidget*		Tab2;
	QMultiLineEdit*	SyslogConfEdit;
	QPushButton*	SaveButton;

protected:
	QHBoxLayout*	StatusLayout;
	QVBoxLayout*	BaseFormLayout;
	QVBoxLayout*	TabBaseLayout1;
	QVBoxLayout*	TabBaseLayout2;
};

#endif // __SYSLOG_DEAMON_CONTROLER_BASE_H__
