/*
	syslogdctl - syslog deamon controler
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __SYSLOG_DEAMON_CONTROLER_H__
#define __SYSLOG_DEAMON_CONTROLER_H__

#include <qvariant.h>
#include <qdialog.h>
#include "syslogdctlbase.h"

class QTimer;
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QCheckBox;
class QLineEdit;
class QMultiLineEdit;
class QPushButton;

class syslogdctl : public syslogdctlbase
{ 
    Q_OBJECT

public:
    syslogdctl( QWidget* parent = 0, const char* name = 0,
    						bool modal = FALSE, WFlags fl = 0 );
    ~syslogdctl();

private:
	QTimer* m_pTimer;
	void makeS02syslog();
	void delS02syslog();

protected slots:
	void DoStart();
	void DoStop();
	void DoSave();
	void UpdateStatus();
	void closeEvent( QCloseEvent* );
	void accept();
	void reject();
};

#endif // __SYSLOG_DEAMON_CONTROLER_H__
